For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • POSTAdds a task bundle to a project.
      • GETLists task bundles.
      • POSTCreates a task bundle.
      • POSTCreates a task bundle from a project.
      • POSTCreates a task bundle from a task list.
      • GETLists available task bundle icons.
      • GETGets a task bundle by id.
      • PUTUpdates a task bundle.
      • DELDeletes a task bundle.
      • POSTCreates a copy of an existing task bundle.
      • GETLists task list templates for a task bundle.
      • POSTCreates a task list template for a bundle.
      • GETGets a task list template.
      • PUTUpdates a task list template.
      • DELDeletes a task list template.
      • POSTAdds task templates to a task list template.
      • POSTRemoves task templates from a task list template.
      • GETLists task templates inside a task list template.
      • GETGets a task template inside a task list template.
      • POSTUpdates the order of a task template inside a task list template.
      • POSTUpdates the order of task templates in a task list template.
      • GETLists checklist item templates for a task template.
      • POSTCreates a checklist item template.
      • GETGets a checklist item template.
      • PUTUpdates a checklist item template.
      • DELDeletes a checklist item template.
      • POSTDeletes recurrence information from a task template.
      • GETGets recurrency details for a task template.
      • POSTAdds or updates a recurrence rule for a task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Bundles

Updates a task bundle.

PUT
https://api.awork.com/api/v1/taskbundles/:taskBundleId
PUT
/api/v1/taskbundles/:taskBundleId
$curl -X PUT https://api.awork.com/api/v1/taskbundles/taskBundleId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "name": "Project Kickoff",
3 "description": "Includes all tasks related to getting this project off the ground successfully. For the joy of work!",
4 "icon": "arrow_forward",
5 "projectTemplateId": "f76a7b32-f279-ec11-94f6-dc984040d6c9",
6 "id": "123e4567-e89b-12d3-a456-426614174000",
7 "createdOn": "2022-03-11T17:53:46.100Z",
8 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
9 "updatedOn": "2022-03-13T11:20:00.100Z",
10 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
11 "taskLists": [
12 {
13 "id": "123e4567-e89b-12d3-a456-426614174000",
14 "name": "Concept Desing",
15 "orderOfTask": 2,
16 "order": 1,
17 "isHiddenForConnectUsers": true
18 }
19 ],
20 "tasks": [
21 {
22 "name": "Wireframe layout",
23 "description": "Create the wireframe layout ready to be discussed with the stakeholders",
24 "isPrio": false,
25 "plannedDuration": 1400,
26 "relativeStartOn": 1,
27 "relativeDueOn": 1,
28 "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
29 "assignedRoleId": "123e4567-e89b-12d3-a456-426614174000",
30 "parentId": "123e4567-e89b-12d3-a456-426614174000",
31 "subtaskOrder": 1,
32 "laneOrder": 2,
33 "id": "123e4567-e89b-12d3-a456-426614174000",
34 "taskType": {
35 "id": "123e4567-e89b-12d3-a456-426614174000",
36 "name": "Sales Work",
37 "description": "Tasks related to sales dept.",
38 "icon": "attach_money",
39 "isArchived": true,
40 "createdOn": "2022-03-10T16:25:09.100Z",
41 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
42 "updatedOn": "2022-03-10T18:55:00.500Z",
43 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
44 },
45 "taskListTemplate": [
46 {
47 "id": "123e4567-e89b-12d3-a456-426614174000",
48 "name": "Concept Desing",
49 "orderOfTask": 2,
50 "order": 1,
51 "isHiddenForConnectUsers": true
52 }
53 ],
54 "taskDependencyTemplates": [
55 {
56 "id": "123e4567-e89b-12d3-a456-426614174000",
57 "createdOn": "2022-03-11T15:33:47.100Z",
58 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
59 "updatedOn": "2022-03-11T21:15:00.100Z",
60 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
61 "predecessorTemplateId": "f76a7b32-f279-ec11-94f6-dc984040d6c9",
62 "successorTemplateId": "fc8e5a55-e96f-ec11-94f6-dc984040d6c7"
63 }
64 ],
65 "assigneeIds": [
66 "string"
67 ],
68 "createdOn": "2022-03-14T10:12:02.100Z",
69 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
70 "updatedOn": "2022-03-25T14:55:30.100Z",
71 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
72 "order": 4,
73 "hasAttachments": true,
74 "isRecurring": false,
75 "customFields": [
76 {
77 "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
78 "userIdValue": "123e4567-e89b-12d3-a456-426614174000",
79 "clientIdValue": "123e4567-e89b-12d3-a456-426614174000",
80 "numberValue": 123.45,
81 "selectionOptionIdValue": "123e4567-e89b-12d3-a456-426614174000",
82 "selectionOption": {
83 "value": "Website Design",
84 "id": "123e4567-e89b-12d3-a456-426614174000",
85 "color": "purple",
86 "order": 0
87 },
88 "textValue": "S1: Business Critical",
89 "dateValue": "2024-01-15T09:30:00Z",
90 "booleanValue": true
91 }
92 ],
93 "tags": [
94 {
95 "id": "123e4567-e89b-12d3-a456-426614174000",
96 "name": "Design",
97 "color": "purple"
98 }
99 ]
100 }
101 ],
102 "hasRelativeTasks": true
103}
<Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Deletes a task bundle.

Next
Built with
Required Permissions
The user must be an admin or have task-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskBundleIdstringRequiredformat: "uuid"
The id of the task bundle.

Request

The task bundle form payload.
namestring or nullOptional
The name of the task bundle. Required if its not related to a task bundle.
descriptionstring or nullOptional
The description of the task bundle.
iconstring or nullOptional
The icon of the task bundle.
projectTemplateIdstring or nullOptionalformat: "uuid"
The project template id of the task bundle, only necessary for the creation of an empty bundle for a project template.

Response

OK
namestring or null
The name of the task bundle. Required if its not related to a task bundle.
descriptionstring or null
The description of the task bundle.
iconstring or null
The icon of the task bundle.
projectTemplateIdstring or nullformat: "uuid"
The project template id of the task bundle, only necessary for the creation of an empty bundle for a project template.
idstringformat: "uuid"
The id of the task bundle.
createdOnstringformat: "date-time"
The date this task bundle was created.
createdBystringformat: "uuid"
The id of the user who created this task bundle.
updatedOnstringformat: "date-time"
The date this task bundle was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task bundle.
taskListslist of objects or null
The list templates within this task bundle.
taskslist of objects or null
The task templates within this task bundle.
hasRelativeTasksbooleanRead-only
True if any of the tasks in the bundle has relative dates.

Errors

404
Not Found Error